Package groovy.util.function

# Interface DoubleComparator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface DoubleComparator
A comparator of two double values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compare(double v1, double v2)`
  Compares its two arguments for order.

- ## Method Details

  - ### compare

    int compare(double v1, double v2)
    Compares its two arguments for order.
    Parameters:
      `v1` - The double value to compare.
      `v2` - The double value to compare.
    Returns:
      If v1 is less than v2, returns negative. If v1 equals to v2, returns zero. If v1 is greater than v2, returns positive.